# == Class: dhcp_relay
# Install and Configure DHCP Relay Agent
#
# Instala y configura un agente dhcp relay 
# === Variables
#
# $dhcprelay_server='-',
# $dhcprelay_active=true
#
# === Examples
#
#  node node1 {
#   $dhcprelay_server='192.168.1.1',
#   include dhcp_relay
#  }
#
# === Authors
#
# Victor Jose Acosta <vic.ad94@gmail.com>
#
# === Copyright
#
# Copyright 2016 Victor Jose Acosta.

class dhcp_relay(
  $dhcprelay_server='-',
  $dhcprelay_active=true
  ) {

  if ($dhcprelay_server == '-'){
    notify{'dhcprelay_server_es':
      message   =>  "Debe especificar la ip del servidor DHCP",
      loglevel  =>  err
    }
 
    notify{'dhcprelay_server_en':
      message =>  "You must specify DHCP Server's IP Address",
      loglevel  =>  err
    }
  }else{
    include dhcp_relay::service
  }
}
