# Class: dhcp_relay::service
#
# Configure DHCP Relay Agent service
#
# Configure el servicio del agente dhcp relay
class dhcp_relay::service{
  
  if ($dhcp_relay::dhcprelay_active){
    service {'dhcprelay_service':
       name   =>  'dhcrelay',
       ensure =>  'running',
       enable =>  true
    }
  }else{
    
    service {'dhcprelay_service':
       name   =>  'dhcrelay',
    }
  }
  
  exec{'dhcprelay_systemctl_reload':
    command =>  '/bin/systemctl daemon-reload',
    refreshonly =>  true,
    notify      =>  Service['dhcprelay_service']
  }

	file {'dhcp_relay_agent_config':
		path     =>	'/usr/lib/systemd/system/dhcrelay.service',
    mode     =>  '0644',
    content  =>  template('dhcp_relay/dhcrelay.service.erb'),
	  notify   =>  Exec['dhcprelay_systemctl_reload']
	}
}	